package com.example.dados;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import android.R.bool;
import android.R.string;
import android.widget.Toast;


public class LeituraEscritaDados {

	
	public String LerArquivo(String localArquivo)
    {
        
        File arquivo; 
        String linhaDados,todosDados="";
        
        //O comando try..catch tenta executar um cdigo, caso algum erro acontea durante a execuo o cdigo vai para o catch
        try
        {
           
        	//Cria um arquivo txt local no local informado(localArquivo)
    		arquivo = new File(localArquivo);
             
            BufferedReader br = new BufferedReader(new FileReader(arquivo)); //Buffer de dados para guardar em memria os dados lidos
            //efetua uma leitura linha a linha do arquivo e 
            //a cada linha lida esta  colocada na varivel todosDados
            while ((linhaDados = br.readLine()) != null) {
                todosDados = todosDados + linhaDados;
            }       
            
            return todosDados;
             
        } catch (Exception e) {

			e.printStackTrace();
			
			todosDados = "";
			return todosDados;
        }        
    }
 
	
	 public Boolean SalvarArquivo(String conteudo, String localArquivo)
	    {
	       
	        File arquivo;
	        byte[] dados;
	        
	        //O comando try..catch tenta executar um cdigo, caso algum erro acontea durante a execuo o cdigo vai para o catch
	        try
	        {
	        	//Cria um arquivo txt local no local informado(localArquivo)
	    		arquivo = new File(localArquivo);
	             
	           
	            FileOutputStream fos; //Objeto usado para criar uma sada de dados
	             
	            //transforma o texto digitado em array de bytes
	            dados = conteudo.toString().getBytes();
	             
	            fos = new FileOutputStream(arquivo); //instancia um objeto para escrita de dados no arquivo informado
	             
	            //escreve os dados e fecha o arquivo
	            fos.write(dados);
	            fos.flush();
	            fos.close();
	            
	            return true;
	        } catch (Exception e) {
	            return false;
	        }        
	    }
	
	
	
	
	
}
